Bug 9710 - broken on x86_64
: broken on x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-xlib)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-06-19 16:43 by
Modified: 2006-09-12 05:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-19 16:43:07
Сборка пакета сломана на x86_64 (из-за не соблюдения рекомендаций из 
python-policy).

Исправление делается очень быстро. Сейчас в спеке:
%build
%__python setup.py build

%install
%__python setup.py install --root %buildroot

%files
%python_sitelibdir/*

Надо заменить на:
%build
%__mkdir_p buildroot

# Unfortunately build and install steps should be done at once
# because otherwise .pyo files won't get into INSTALLED_FILES
# record
CFLAGS="%optflags" %__python setup.py \
        install --optimize=2 \
        --root=`pwd`/buildroot \
        --record=INSTALLED_FILES

%install
%__mkdir_p %buildroot/
%__cp -pr buildroot/usr %buildroot/
unset RPM_PYTHON

%files -f INSTALLED_FILES
%doc NEWS README TODO

Проверено в vserver64 на сборку.
------- Comment #1 From 2006-06-20 12:58:15 -------
Что, в полиси рекомендуется не делать отдельный build?
Вообще странная рекомендация делать промежуточный buildroot, уже не помню 
зачем это было нужно.
А использование INSTALLED_FILES без проблем приведёт к неупакованному 
каталогу.
------- Comment #2 From 2006-06-20 13:53:08 -------
(In reply to comment #1)
> Что, в полиси рекомендуется не делать отдельный build?
> Вообще странная рекомендация делать промежуточный buildroot, уже не помню 
> зачем это было нужно.

По мне, это не полиси, а как сказал кто-то в devel@ -- фикция.

> А использование INSTALLED_FILES без проблем приведёт к неупакованному 
> каталогу.

И что же делать?
------- Comment #3 From 2006-06-20 23:24:47 -------
Я решил долго не мучаться и просто вписал в спек
mv %buildroot%prefix/lib %buildroot%_libdir

fixed
* Tue Jun 20 2006 Vitaly Lipatov <lav@altlinux.ru> 0.12-alt0.2
- hack for build at x86_64 (fix bug #9710)
------- Comment #4 From 2006-08-28 20:05:49 -------
(In reply to comment #3)
> Я решил долго не мучаться и просто вписал в спек
> mv %buildroot%prefix/lib %buildroot%_libdir
> 
> fixed
> * Tue Jun 20 2006 Vitaly Lipatov <lav@altlinux.ru> 0.12-alt0.2
> - hack for build at x86_64 (fix bug #9710)
> 
> 

Согласно - http://sisyphus.altlinux.org/find.shtml?request=python-module-xlib

0.12-alt0.1 версии в Сизифе нет.

Reopen
------- Comment #5 From 2006-09-11 01:57:26 -------
отправил ещё раз, возможно пропала по дороге
------- Comment #6 From 2006-09-11 17:39:05 -------
(In reply to comment #5)
> отправил ещё раз, возможно пропала по дороге

Не вижу. Когда и куда она была отправлена?
------- Comment #7 From 2006-09-12 01:15:25 -------
python-module-xlib-0.12-alt0.3.src.rpm uploaded to Incoming/Sisyphus (SS) at 
Пнд 11 Сен 2006 02:22:50
------- Comment #8 From 2006-09-12 01:18:41 -------
Произошла путаница с номером релиза.
Отправил
python-module-xlib-0.12-alt2.src.rpm
------- Comment #9 From 2006-09-12 05:22:12 -------
(In reply to comment #8)
> Произошла путаница с номером релиза.
> Отправил
> python-module-xlib-0.12-alt2.src.rpm

Вот теперь вижу что прибежало...
Dear Vitaly Lipatov !
The python-module-xlib-0.12-alt2 package passed thru incoming rebuild
for x86_64 architecture.
Thank you!

Dear Vitaly Lipatov !
The python-module-xlib-0.12-alt2 package passed thru incoming rebuild
for i586 architecture.
Thank you!